Mercury API
FromU64 Method (bytes, offset, value)
Namespaces ► ThingMagic ► ByteConv ► FromU64(array<Byte>[]()[], Int32, UInt64)
Insert unsigned 64-bit integer into big-endian byte string
Declaration Syntax

C# | Visual Basic | Visual C++

    public static int FromU64(
    	byte[] bytes,
    	int offset,
    	ulong value
    )

    Public Shared Function FromU64 ( _
    	bytes As Byte(), _
    	offset As Integer, _
    	value As ULong _
    ) As Integer

    public:
    static int FromU64(
    	array<unsigned char>^ bytes,
    	int offset,
    	unsigned long long value
    )

Parameters

bytes (array< Byte >[]()[])
  Target big-endian byte string

offset (Int32)
  Location to insert into

value (UInt64)
  64-bit integer to insert

Return Value
Number of bytes inserted

Assembly: MercuryAPI (Module: MercuryAPI) Version: 1.29.4.34 (1.29.4.34)